SealRoute Docs
  • Get Started
  • API Reference
  • SDKs
  • Guides
  • Webhooks
Information
Submissions
    List all submissionsgetCreate a submissionpostGet a submissiongetArchive a submissiondeleteGet submission documentsgetCreate submissions from emailspostCreate a submission from PDFpostCreate a submission from DOCXpostCreate a submission from HTMLpost
Submitters
    Get a submittergetUpdate a submitterputList all submittersget
Templates
    List all templatesgetGet a templategetUpdate a templateputArchive a templatedeleteUpdate template documentsputClone a templatepostCreate a template from HTMLpostCreate a template from Word DOCXpostCreate a template from PDFpostMerge templatespost
powered by Zudoku
SealRoute API
SealRoute API

Submitters

Submitters API allows you to load all details provided by the signer of the document.


Get a submitter

GET
https://sealroute.com
/submitters/{id}

The API endpoint provides functionality to retrieve information about a submitter, along with the submitter documents and field values.

Get a submitter › path Parameters

id
​integer · required

The unique identifier of the submitter.

Get a submitter › Responses

200

OK

id
​integer · required

Submitter unique ID number.

submission_id
​integer · required

Submission unique ID number.

uuid
​string · required

Submitter UUID.

email
​string | null · required

The email address of the submitter.

slug
​string · required

Unique key to be used in the form signing link and embedded form.

sent_at
​string | null · required

The date and time when the signing request was sent to the submitter.

opened_at
​string | null · required

The date and time when the submitter opened the signing form.

completed_at
​string | null · required

The date and time when the submitter completed the signing form.

declined_at
​string | null · required

The date and time when the submitter declined the signing form.

created_at
​string · required

The date and time when the submitter was created.

updated_at
​string · required

The date and time when the submitter was last updated.

name
​string | null · required

Submitter name.

phone
​string | null · required

Submitter phone number.

status
​string · enum · required

Submitter's submission status.

Enum values:
completed
declined
opened
sent
awaiting
external_id
​string | null · required

The unique applications-specific identifier

metadata
​object · required

Metadata object with additional submitter information.

preferences
​object · required

Submitter preferences.

​object · required

Base template details.

​object[] · required
​object[] · required

An array of pre-filled values for the submitter.

​object[] · required

An array of completed or signed documents by the submitter.

role
​string · required

The role of the submitter in the signing process.

GET/submitters/{id}
curl --request GET \ --url https://sealroute.com/submitters/:id
shell
Example Responses
{ "id": 7, "submission_id": 3, "uuid": "0954d146-db8c-4772-aafe-2effc7c0e0c0", "email": "submitter@example.com", "slug": "dsEeWrhRD8yDXT", "sent_at": "2023-12-14T15:45:49.011Z", "opened_at": "2023-12-14T15:48:23.011Z", "completed_at": "2023-12-10T15:49:21.701Z", "declined_at": null, "created_at": "2023-12-14T15:48:17.173Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "John Doe", "phone": "+1234567890", "status": "completed", "external_id": null, "metadata": {}, "preferences": {}, "template": { "id": 2, "name": "Example Template", "created_at": "2023-12-14T15:50:21.799Z", "updated_at": "2023-12-14T15:50:21.799Z" }, "submission_events": [ { "id": 12, "submitter_id": 7, "event_type": "view_form", "event_timestamp": "2023-12-14T15:47:17.351Z", "data": {} } ], "values": [ { "field": "Full Name", "value": "John Doe" } ], "documents": [ { "name": "sample-document", "url": "https://sealroute.com/file/hash/sample-document.pdf" } ], "role": "First Party" }
json
application/json

Update a submitter

PUT
https://sealroute.com
/submitters/{id}

The API endpoint allows you to update submitter details, pre-fill or update field values and re-send emails.
Related Guides
Automatically sign documents via API

Update a submitter › path Parameters

id
​integer · required

The unique identifier of the submitter.

Update a submitter › Request Body

name
​string

The name of the submitter.

email
​string · email

The email address of the submitter.

Example: john.doe@example.com
phone
​string

The phone number of the submitter, formatted according to the E.164 standard.

Example: +1234567890
values
​object

An object with pre-filled values for the submission. Use field names for keys of the object. For more configurations see fields param.

external_id
​string

Your application-specific unique string key to identify this submitter within your app.

send_email
​boolean

Set true to re-send signature request emails.

send_sms
​boolean

Set true to re-send signature request via phone number SMS.

Default: false
reply_to
​string

Specify Reply-To address to use in the notification emails.

completed
​boolean

Pass true to mark submitter as completed and auto-signed via API.

metadata
​object

Metadata object with additional submitter information.

Example: { "customField": "value" }
completed_redirect_url
​string

Submitter specific URL to redirect to after the submission completion.

logo_url
​string

Public URL of a logo image to display on the signing page for this submitter. Overrides the account-level white-label logo for this recipient only. Pass an empty string to clear a previously stored value. Account Personalization is never modified.

Example: https://example.com/logo.png
company_name
​string

Company / brand name to display next to the logo on the signing page for this submitter. Overrides the account-level white-label name for this recipient only. Account Personalization is never modified.

Example: Acme Inc.
stamp_url
​string

Public URL of an image to embed in the signature stamp when this submitter completes signing. Falls back to this submitter's logo_url then to the account-level branding.

Example: https://example.com/stamp.png
require_phone_2fa
​boolean

Set to true to require phone 2FA verification via a one-time code sent to the phone number in order to access the documents.

Default: false
​object
​object[]

A list of configurations for template document form fields.

Update a submitter › Responses

200

OK

id
​integer · required

Submitter unique ID number.

submission_id
​integer · required

Submission unique ID number.

uuid
​string · required

Submitter UUID.

email
​string | null · required

The email address of the submitter.

slug
​string · required

Unique key to be used in the form signing link and embedded form.

sent_at
​string | null · required

The date and time when the signing request was sent to the submitter.

opened_at
​string | null · required

The date and time when the submitter opened the signing form.

completed_at
​string | null · required

The date and time when the submitter completed the signing form.

declined_at
​string | null · required

The date and time when the submitter declined the signing form.

created_at
​string · required

The date and time when the submitter was created.

updated_at
​string · required

The date and time when the submitter was last updated.

name
​string | null · required

Submitter name.

phone
​string | null · required

Submitter phone number.

status
​string · enum · required

Submitter's submission status.

Enum values:
completed
declined
opened
sent
awaiting
external_id
​string | null · required

The unique applications-specific identifier

metadata
​object · required

Metadata object with additional submitter information.

preferences
​object · required

Submitter preferences.

​object[] · required

An array of pre-filled values for the submitter.

​object[] · required

An array of completed or signed documents by the submitter.

role
​string · required

The role of the submitter in the signing process.

embed_src
​string · required

The src URL value to embed the signing form or sign via a link.

PUT/submitters/{id}
curl --request PUT \ --url https://sealroute.com/submitters/:id \ --header 'Content-Type: application/json' \ --data ' { "name": "name", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed": true, "metadata": "{ \"customField\": \"value\" }", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "require_phone_2fa": false, "message": { "subject": "subject", "body": "body" }, "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ] } '
shell
Example Request Body
{ "name": "name", "email": "john.doe@example.com", "phone": "+1234567890", "values": {}, "external_id": "external_id", "send_email": true, "send_sms": false, "reply_to": "reply_to", "completed": true, "metadata": "{ \"customField\": \"value\" }", "completed_redirect_url": "completed_redirect_url", "logo_url": "https://example.com/logo.png", "company_name": "Acme Inc.", "stamp_url": "https://example.com/stamp.png", "require_phone_2fa": false, "message": { "subject": "subject", "body": "body" }, "fields": [ { "name": "First Name", "default_value": "Acme", "readonly": false, "required": true, "validation": { "pattern": "[A-Z]{4}", "message": "message", "min": 0, "max": 0, "step": 0 }, "preferences": { "font_size": 12, "font_type": "bold", "font": "Times", "color": "black", "background": "black", "align": "left", "valign": "center", "format": "DD/MM/YYYY", "price": 99.99, "currency": "USD", "mask": false, "reasons": [ "string" ] } } ] }
json
Example Responses
{ "id": 1, "submission_id": 12, "uuid": "0954d146-db8c-4772-aafe-2effc7c0e0c0", "email": "submitter@example.com", "slug": "dsEeWrhRD8yDXT", "sent_at": "2023-12-14T15:45:49.011Z", "opened_at": "2023-12-14T15:48:23.011Z", "completed_at": "2023-12-10T15:49:21.701Z", "declined_at": null, "created_at": "2023-12-14T15:48:17.173Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "John Doe", "phone": "+1234567890", "status": "completed", "external_id": null, "metadata": {}, "preferences": {}, "values": [ { "field": "Full Name", "value": "John Doe" } ], "documents": [], "role": "First Party", "embed_src": "https://sealroute.com/s/pAMimKcyrLjqVt" }
json
application/json

List all submitters

GET
https://sealroute.com
/submitters

The API endpoint provides the ability to retrieve a list of submitters.

List all submitters › query Parameters

submission_id
​integer

The submission ID allows you to receive only the submitters related to that specific submission.

q
​string

Filter submitters on name, email or phone partial match.

slug
​string

Filter submitters by unique slug.

completed_after
​string · date-time

The date and time string value to filter submitters that completed the submission after the specified date and time.

completed_before
​string · date-time

The date and time string value to filter submitters that completed the submission before the specified date and time.

external_id
​string

The unique applications-specific identifier provided for a submitter when initializing a signature request. It allows you to receive only submitters with a specified external id.

limit
​integer

The number of submitters to return. Default value is 10. Maximum value is 100.

after
​integer

The unique identifier of the submitter to start the list from. It allows you to receive only submitters with id greater than the specified value. Pass ID value from the pagination.next response to load the next batch of submitters.

before
​integer

The unique identifier of the submitter to end the list with. It allows you to receive only submitters with id less than the specified value.

List all submitters › Responses

200

OK

​object[]
​object
GET/submitters
curl --request GET \ --url https://sealroute.com/submitters
shell
Example Responses
{ "data": [ { "id": 7, "submission_id": 3, "uuid": "0954d146-db8c-4772-aafe-2effc7c0e0c0", "email": "submitter@example.com", "slug": "dsEeWrhRD8yDXT", "sent_at": "2023-12-14T15:45:49.011Z", "opened_at": "2023-12-14T15:48:23.011Z", "completed_at": "2023-12-14T15:49:21.701Z", "declined_at": null, "created_at": "2023-12-14T15:48:17.173Z", "updated_at": "2023-12-14T15:50:21.799Z", "name": "John Doe", "phone": "+1234567890", "status": "completed", "external_id": null, "preferences": {}, "metadata": {}, "template": { "id": 2, "name": "Example Template", "created_at": "2023-12-14T15:50:21.799Z", "updated_at": "2023-12-14T15:50:21.799Z" }, "submission_events": [ { "id": 12, "submitter_id": 7, "event_type": "view_form", "event_timestamp": "2023-12-14T15:48:17.351Z", "data": {} } ], "values": [ { "field": "Full Name", "value": "John Doe" } ], "documents": [ { "name": "sample-document", "url": "https://sealroute.com/file/eyJfcmFpbHMiOnsiIiwiZXhwIjpudWxsLCJwdXIiOiJibG9iX2lkIn19--f9758362acced0f3c86cdffad02800e/sample-document.pdf" } ], "role": "First Party" } ], "pagination": { "count": 1, "next": 1, "prev": 1 } }
json
application/json

SubmissionsTemplates